Classes | Public Member Functions | Protected Member Functions | Protected Attributes

# cv::OneWayDescriptorMatcher Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::OneWayDescriptorMatcher:

List of all members.

## Classes
class | Params
## Public Member Functions
virtual void | clear ()
virtual Ptr < GenericDescriptorMatcher > | clone (bool emptyTrainData=false) const
void | initialize (const Params &params, const Ptr< OneWayDescriptorBase > &base=Ptr< OneWayDescriptorBase >())
virtual bool | isMaskSupported ()
| OneWayDescriptorMatcher (const Params &params=Params())
virtual void | read (const FileNode &fn)
virtual void | train ()
virtual void | write (FileStorage &fs) const
virtual | ~OneWayDescriptorMatcher ()
## Protected Member Functions
virtual void | knnMatchImpl (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks, bool compactResult)
virtual void | radiusMatchImpl (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks, bool compactResult)
## Protected Attributes
Ptr< OneWayDescriptorBase > | base
Params | params
int | prevTrainCount

## Constructor & Destructor Documentation

cv::OneWayDescriptorMatcher::OneWayDescriptorMatcher | ( | const Params & | params = `Params()` ) |

virtual cv::OneWayDescriptorMatcher::~OneWayDescriptorMatcher | ( | ) | `[virtual]`

## Member Function Documentation

virtual void cv::OneWayDescriptorMatcher::clear | ( | ) | `[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

virtual Ptr<GenericDescriptorMatcher> cv::OneWayDescriptorMatcher::clone | ( | bool | emptyTrainData = `false` ) | const`[virtual]`

Implements cv::GenericDescriptorMatcher.

void cv::OneWayDescriptorMatcher::initialize | ( | const Params & | params,
|  | const Ptr< OneWayDescriptorBase > & | base = `Ptr< OneWayDescriptorBase >()`
| ) |  |

virtual bool cv::OneWayDescriptorMatcher::isMaskSupported | ( | ) | `[virtual]`

Implements cv::GenericDescriptorMatcher.

virtual void cv::OneWayDescriptorMatcher::knnMatchImpl | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  | `[protected, virtual]`

Implements cv::GenericDescriptorMatcher.

virtual void cv::OneWayDescriptorMatcher::radiusMatchImpl | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  | `[protected, virtual]`

Implements cv::GenericDescriptorMatcher.

virtual void cv::OneWayDescriptorMatcher::read | ( | const FileNode & | fn ) | `[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

virtual void cv::OneWayDescriptorMatcher::train | ( | ) | `[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

virtual void cv::OneWayDescriptorMatcher::write | ( | FileStorage & | fs ) | const`[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

## Member Data Documentation

Ptr<OneWayDescriptorBase> cv::OneWayDescriptorMatcher::base`[protected]`

Params cv::OneWayDescriptorMatcher::params`[protected]`

int cv::OneWayDescriptorMatcher::prevTrainCount`[protected]`

The documentation for this class was generated from the following file:

- C:/opt/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines